## RELEASE Statement (release_statement)

The RELEASE statement (release_statement) terminates a user's transaction and database session.

### Syntax

<release_statement> ::= COMMIT [WORK] RELEASE | ROLLBACK [WORK] RELEASE

### Explanation

Ending a session using a release statement implicitly deletes all result tables, the data stored in temporary base tables, and the metadata of these tables.

#### COMMIT WORK RELEASE

The current transaction is aborted without opening a new one. The user session is ended.

If the database system has to reverse the current transaction implicitly, COMMIT WORK RELEASE fails, and a new transaction is opened. The user session is not ended in this case.

#### ROLLBACK WORK RELEASE

The current transaction is aborted without opening a new one. Any database modifications performed during the current transaction are undone. The user session is ended. ROLLBACK WORK RELEASE has the same effect as a ROLLBACK statement followed by COMMIT WORK RELEASE.